The base software for Debian/Ubuntu/Mint package management. Use this tag for questions about dpkg and its companion utilities and the .deb file format.

learn more… | top users | synonyms

1
vote
0answers
9 views

What's the difference between DPkg::post-invoke and DPkg::post-invoke-success?

There are two suggested configuration options to install post-install hooks into Debian's apt/dpkg system: DPkg::post-invoke(1) and DPkg::post-invoke-success(2). For me, only post-invoke seems to ...
1
vote
0answers
10 views

Could not perform immediate configuration on 'multiarch-support'

I am not sure what I was thinking when I accidently deleted my /etc/dpkg/ folder. While I was fixing that, I tried many things and that made things worst. Now I am in a situation where I can not ...
0
votes
1answer
18 views

Creating debianpackage - the package is of bad quality

I just created a debian package with dpkg-deb --build debtest and when installing the package which containing a simple c-app a warning comes up Lintian check results for ...
0
votes
0answers
8 views

dpkg : unable to create '/sys/fs/selinux/context.dpkg-new' [closed]

I've been trying to build my own policykit deb package. Seems like I got there, but ... when I try to install it I get the following error: dpkg: error processing archive ...
0
votes
0answers
35 views

dpkg: error: 2 expected programs not found in PATH or not executable can't install anything

When I try to install anything on a linux server I always get the following error: Last login: Sat Aug 22 10:25:09 2015 from 27.34.97.20 root@s3:~# sudo -i root@s3:~# su root@s3:~# apt-get install ...
2
votes
0answers
9 views

apt-get upgrade with /usr/bin on aufs fails to create backup link

I'm trying to update a frugal persistent (root and home) install of antiX-15 x64 from stable to testing. I changed the source lists and ran apt-get update. apt-get upgrade then fails with the ...
0
votes
2answers
37 views

Can't install locales [closed]

I'm working under Raspbian (for RaspberryPi): Linux version 3.18.14-v7+ (root@vagrant-ubuntu-trusty-32) (gcc version 4.8.3 20140106 (prerelease) (crosstool-NG linaro-1.13.1-4.8-2014.01 - ...
0
votes
0answers
156 views

Remove firefox and install iceweasel Kali linux

dpkg-divert: error: `diversion of /usr/bin/firefox to /usr/bin/firefox.real by iceweasel' clashes with `diversion of /usr/bin/firefox to /usr/bin/firefox.ubuntu by firefox-mozilla-build' dpkg: error ...
0
votes
0answers
30 views

Error while installing nis (3.17-33) on debian 8

I am encountering the following error root@periferralvm1:~# apt-get install portmap nis Reading package lists... Done Building dependency tree Reading state information... Done Note, selecting ...
2
votes
1answer
24 views

When will dpkg delete directories?

In Debian Jessie's /etc/cron.d/ there's a file called .placeholder, the contents of which claim: # DO NOT EDIT OR REMOVE # This file is a simple placeholder to keep dpkg from removing this directory ...
4
votes
2answers
27 views

How to influence order of package upgrade (apt-get upgrade/dist-upgrade)

We are hosting a branch of the debian jessie repository with custom, backported and patched packages. Every product release an ISO installer is created from this repo. We now noticed that an upgrade ...
0
votes
0answers
18 views

DPKG error when installing puppetserver

I want to install Puppet 4.2 on a Ubuntu 14.04 Trusty and when installing puppetserver through apt-get I get the following error near the end of the installation: dpkg: error processing archive ...
1
vote
2answers
49 views

Strange dependency error in installing package

I am trying to install an app we made in Ubuntu (with Quickly) to Raspberry Pi Raspbian. However, it has a dependency python:any (>= 2.7.1-0ubuntu2) which is unmet in Raspbian although it has Python ...
2
votes
1answer
130 views

Help me repair my python - I think dpkg has to be reset (very tricky issue)

first question in Unix & Linux - I really hope, someone can help... Summary (TL;DR) On my Kubuntu 14.4 (which has python 2.7.6 as standard) my python is broken after I tried to install python ...
3
votes
1answer
40 views

Why don't most common Linux package managers allow package installation for normal users? [duplicate]

I tend to install quite a lot of packages with ./configure --prefix=$HOME && make && make install. Why can't I do this as easily with dpkg or yum? Or if I somehow can, what is the way ...
3
votes
1answer
33 views

Use symlink to move directory created by .deb package - will anything break?

Sometimes it seems useful to shift package's directories around between tmpfs / flash memory or ssd / hard disk. To manage flash lifetime, disk spin-up, or just free space. If you replace a ...
4
votes
3answers
67 views

How to find out if a specific package is installed on Debian?

I'm working with a Raspberry Pi B+ and Raspbian 5/5/2015 and some guides that are a few years old. I've got an external NTFS HDD hooked up to the Pi. Due to the articles age(s), common practices ...
3
votes
3answers
62 views

Unpacking a .deb file containing a MIPS binary

I'm trying to install openssh server on a router and need a MIPS compiled binary. I've downloaded the one from here but encounter an error upon extraction: $ sudo dpkg --unpack ...
3
votes
2answers
52 views

apt - checking if a similar package has been installed

This question explains how to find out if a given Debian package has been installed, but it does not take into account "synonyms" when installing via apt-get. For instance, if I try apt-get install ...
0
votes
2answers
44 views

Install to different location (/root) using dpkg

I am a little new to Linux and currently running Mint 17. I want to have more control over where everything is installed (i.e. /root vs /home) and see if I can install to /root without editing ...
0
votes
2answers
33 views

I need to install two different versions of a library on a Debian-based distro

Jessie comes with APR (apache runtime portable) as package libapr1 version 1.5.1-3. However, that is the only version that Jessie has (it is also the newest version). I am trying to build the UIMA ...
0
votes
0answers
47 views

Installing hostapd via apt-get and dpkg results in different boot behaviour

I am trying to set up a Wifi hotspot on Debian 7.6. After reading a few tutorials, I have managed to get the Wifi working by installing and configuring hostapd. I need to install and configure this ...
0
votes
0answers
25 views

Samba install error [closed]

I was trying to reinstall samba after, I think uninstalling it correctly. After it is installed the samba daemon will not start. {FAIL} Starting Samba daemons: nmbs failed! invoke=rc.d: initscript ...
2
votes
1answer
31 views

preventing dpkg-buildpackage using /usr/bin as installation destination

Briefly, I am building a Debian package. Everything works fine with packaging except the point, that after packaging my application is always in the /usr/bin folder. It's actually a Python ...
16
votes
1answer
209 views

dpkg replacing files on a FAT filesystem

When you upgrade or reinstall a package with dpkg (and ultimately anything that uses it, like apt-get etc) it backs up the existing files by creating a hard link to the file before replacing it. That ...
0
votes
1answer
25 views

Specify diff options for dpkg's config file prompt

When a conffile is modified, dpkg gives you a prompt asking what to do: Configuration file '/etc/apache2/mods-available/ssl.conf' ==> Modified (by you or by a script) since installation. ==> ...
1
vote
1answer
39 views

Before upgrading a package, how can I know what files will be modified?

I have to update some machines, but I am using a patched version of linux, and don't want packages to modify specific files. To be clearer here is a list of the actions I don't want a package to be ...
0
votes
1answer
18 views

run remote command to save debian package list

I'd like to backup the package list(dpkg) of some remote computers to a backup server: all of them running Debian. I already configured the rsa key to login remotely as root on the other computers ...
1
vote
1answer
113 views

Elementary Os. Nvidia and apt-get stopped working after updating windows 8.1 (Dual boot)

My computer have dual boot (Windows 8.1 and Elementary OS Freya - Ubuntu 14.04). Today, After installing updates on my windows partition Elementary OS loaded into a black screen. I've already ...
0
votes
1answer
36 views

error when install library ubuntu 10.10

I have installed Ubuntu 10.10 I have chosen this Ubuntu because I want to run openbts 2.6 on this machine. My problem is that when I run this library: sudo apt-get -y install libfontconfig1-dev ...
2
votes
1answer
36 views

Where does “dpkg -l ”*“” gather its information?

As I understand, dpkg -l "*" under Debian lists all the available packages regardless of their state. Where does this information come from? I understand that /var/lib/dpkg/available lists all the ...
2
votes
1answer
64 views

understanding “dpkg --status-fd n”

From man dpkg (1.16.16 (i386) on a Debian (7) based Linux Distro): --status-fd n Send machine-readable package status and progress information to file descriptor n I read this ...
0
votes
1answer
62 views

build-essential tries to install unrelated package nautilus-dropbox

Whenever I try to install them through the Software Center it will remain at 0% for hours. I instead attempted to install the application I needed by compiling it from source. I needed the ...
3
votes
1answer
133 views

Is it possible to have a Debian package pre-install script run apt-get commands?

I'm creating a Debian package that has a few dependencies not found in the official repositories. Simply specifying these other packages as dependencies doesn't cut it, as their installations alone ...
1
vote
1answer
129 views

Debian dpkg error > libxrender1

apt-get update && apt-get upgrade You might want to run 'apt-get -f install' to correct these. The following packages have unmet dependencies: libxrender1 : Breaks: libxrender1:i386 (!= ...
1
vote
1answer
95 views

How to uninstall a .deb installed with dpkg?

I installed Unified Remote using dpkg: dpkg -i urserver.deb How do I uninstall it so I can reinstall from scratch?
0
votes
0answers
115 views

Problem when using alien to install Oracle SQL Developer

I am trying to use alien --scripts to make a .noarch.rpm file into a .deb file, however, it is not working. I am trying to install Oracle SQL Developer: I have downloaded the ...
0
votes
2answers
80 views

Generate dpkg .deb filename

We have a software project, which we release as a debian package. The project has a debian/ folder which contains files like changelog compat control copyright rules. We're creating debian ...
2
votes
1answer
216 views

Error When trying to install a package using dpkg

I am trying to install Oracle SQL Developer onto a Debian Linux server. I started off by downloading a package from the Oracle website; sqldeveloper-4.0.3.16.84-1.noarch.rpm I then called the ...
3
votes
0answers
83 views

Logging apt/dpkg activity to syslog

My goal is to log apt/dpkg activity using syslog (rsyslog), so that log entries are sent to central syslog server. dpkg writes to /var/log/dpkg.log, apt writes to /var/log/apt directory. I did some ...
2
votes
2answers
158 views

Debian - get all dependencies updated when they 'wont be installed'

I've been trying to install Percona Toolkit onto my Debian (wheezy) server. I downloaded it as per the instructions: wget percona.com/get/percona-toolkit.deb then installed it sudo dpkg -i ...
4
votes
1answer
221 views

How do I replicate installed package selections from one Debian system to another? (Debian Wheezy)

I am trying to set up a staging environment in a VM, in order to test updates before applying them to my main system. In order to do so, I have done a basic installation of Debian Wheezy (same as on ...
1
vote
1answer
586 views

Backup and Restore list of installed packages and APT sources

I commonly reinstall Ubuntu and back up my APT stuff [sources, keys and installed package lists] using the tutorial at http://askubuntu.com/a/99151/371765. However I commonly also remove software such ...
1
vote
1answer
331 views

Error while installing Apache; error is “E: Sub-process /usr/bin/dpkg returned an error code (1)”

I followed an online article to remove my Apache from my system. I removed Apache through these commands sudo apt-get purge apache2 apache2-utils sudo rm -rf /etc/apache2-bin sudo apt-get autoremove ...
2
votes
1answer
361 views

Installing MongoDB in Ubuntu LXC Container. Fails with 'invoke-rc.d: initscript mongod, action “start” failed.'

I can't manage to install mongodb in a Ubuntu LXC container. I've set-up the Ubuntu 14.10 host by following these instructions: https://linuxcontainers.org/lxc/getting-started/ lxc-create --version ...
0
votes
0answers
52 views

How to exclude folders when packaging for debian?

I am attempting to build a c++ project and package it in .deb format. I am able to successfully create a .deb package; however, it includes files that I do not want contained in the package. How can I ...
0
votes
0answers
85 views

How do I install dpkg in Puppy Linux ?

Puppy Linux contains the package manager PPM (Puppy Package Manager), I do not know how to use the command line for PPM, is it possible to install dpkg onto Puppy Linux ?
0
votes
1answer
182 views

Accidentally deleted dpkg executable

By mistake I have deleted dpkg executable from bin folder. Now whenever I try to install anything I get the following error message: Sub-process /usr/bin/dpkg returned an error code (100)
0
votes
1answer
639 views

How to install the package 'dpkg' from the AUR

Today I installed Archlinux and I tried to install the following package 'dpkg' from the AUR. I tried 2 methods: pacman -S dpkg and after that failed I downloaded the *.tar.gz and tried: pacman -U ...
0
votes
1answer
55 views

dpkg still thinks corrupted upgrade of Textadept pending - how to clean up?

Yesterday I attempted to upgrade my installation of the Textadept editor in my Linux Mint 13 ("Maya") LTS Xfce 32-bit system (based on Ubuntu 12.04 Precise). I get this via the WebUpd8 PPA, and have ...